## vip-manager 0.6+ds

=== Makefile ===
NAME=vip-manager
VERSION=0.6-1
ARCH=amd64
LICENSE="BSD 2-Clause License"
MAINTAINER="Ants Aasma <ants@cybertec.at>"
DESCRIPTION="Manages a virtual IP based on state kept in etcd/consul."
HOMEPAGE="http://www.cybertec.at/"
GIT="git://github.com/cybertec-postgresql/vip-manager.git"
GITBROWSER="https://github.com/cybertec-postgresql/vip-manager"


all: vip-manager

vip-manager: *.go */*.go
	go build -ldflags="-s -w" .

install:
	install -d $(DESTDIR)/usr/bin
	install vip-manager $(DESTDIR)/usr/bin/vip-manager
	install -d $(DESTDIR)/lib/systemd/system
	install package/scripts/init-systemd.service $(DESTDIR)/lib/systemd/system/vip-manager.service
	install -d $(DESTDIR)/etc/init.d/
	install package/scripts/init-systemv.sh $(DESTDIR)/etc/init.d/vip-manager
	install -d $(DESTDIR)/etc/default
	install vipconfig/vip-manager.yml $(DESTDIR)/etc/default/vip-manager.yml

DESTDIR=tmp

.PHONY: package

package: package-deb package-rpm

package-deb: vip-manager
	install -d $(DESTDIR)/usr/bin
	install vip-manager $(DESTDIR)/usr/bin/vip-manager
	install -d $(DESTDIR)/usr/share/doc/$(NAME)
	install --mode=644 package/DEBIAN/copyright $(DESTDIR)/usr/share/doc/$(NAME)/copyright
	fpm -f -s dir -t deb -n $(NAME) -v $(VERSION) -C $(DESTDIR) \
	-p $(NAME)_$(VERSION)_$(ARCH).deb \
	--license $(LICENSE) \
	--maintainer $(MAINTAINER) \
	--vendor $(MAINTAINER) \
	--description $(DESCRIPTION) \
	--url $(HOMEPAGE) \
	--deb-field 'Vcs-Git: $(GIT)' \
	--deb-field 'Vcs-Browser: $(GITBROWSER)' \
	--deb-upstream-changelog package/DEBIAN/changelog \
	--deb-no-default-config-files \
	--deb-default vipconfig/vip-manager.yml \
	--deb-systemd package/scripts/vip-manager.service \
	usr/bin usr/share/doc/

package-rpm: package-deb
	fpm -f -s deb -t rpm -n $(NAME) -v $(VERSION) -C $(DESTDIR) \
	-p $(NAME)_$(VERSION)_$(ARCH).rpm \
	$(NAME)_$(VERSION)_$(ARCH).deb

clean:
	rm -f vip-manager
	rm -f vip-manager*.deb
	rm -f vip-manager*.rpm
	rm -fr $(DESTDIR)

=== debian/changelog ===
vip-manager (0.6+ds-3) unstable; urgency=medium

  * debian/vip-manager@.service: Fix quoting. 

 -- Michael Banck <michael.banck@credativ.de>  Fri, 15 Nov 2019 12:06:53 +0100

vip-manager (0.6+ds-2) unstable; urgency=medium

  * debian/README.Debian, debian/design.md: Removed.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 13 Nov 2019 14:07:15 +0100

vip-manager (0.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Build-Depends): Added golang-github-json-iterator-go-dev,
    golang-github-modern-go-concurrent-dev, golang-github-modern-go-reflect2-dev
    and golang-gopkg-yaml.v2-dev. Removed golang-github-ugorji-go-msgpack-dev.
  * debian/copyright (Files-Excluded): Added vendor/gopkg.in,
    vendor/github.com/json-iterator and vendor/github.com/modern-go. Removed
    vendor/github.com/ugorji.
  * debian/watch: Fix filenamemangle from patroni to vip-manager. Add
    dversionmangle and repacksuffix options for +ds upstream version repack
    suffix support.
  * debian/patches/service_file.patch: Updated.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 16 Oct 2019 09:00:40 +0200

vip-manager (0.4+git20180605-1) unstable; urgency=medium

  * Initial upload.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 18 Jul 2019 16:24:57 -0300

=== debian/control ===
Source: vip-manager
Section: net
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Michael Banck <michael.banck@credativ.de>
Build-Depends:
 debhelper (>= 10),
 dh-golang,
 golang-any,
 golang-etcd-server-dev,
 golang-github-coreos-go-semver-dev,
 golang-github-hashicorp-consul-dev,
 golang-github-json-iterator-go-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-modern-go-concurrent-dev,
 golang-github-modern-go-reflect2-dev,
 golang-golang-x-net-dev,
 golang-golang-x-sys-dev,
 golang-gopkg-yaml.v2-dev
Standards-Version: 4.3.0
X-Python3-Version: >= 3.5
Homepage: https://github.com/cybertec-postgresql/vip-manager
Vcs-Browser: https://salsa.debian.org/postgresql/vip-manager
Vcs-Git: https://salsa.debian.org/postgresql/vip-manager.git
XS-Go-Import-Path: github.com/cybertec-postgresql/vip-manager

Package: vip-manager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: patroni
Description: Patroni virtual IP manager
 This package needs to be installed and configured on all nodes of a Patroni
 PostgreSQL cluster. Given a Patroni namespace and scope in etcd or consul,
 the vip-manager service monitors that namespace for leader changes due to
 failovers or switchovers and adds or removes the VIP on the local node
 accordingly.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_install:
	dh_install
	install -d $(CURDIR)/debian/vip-manager/lib/systemd/system
	install -m 664 package/scripts/vip-manager.service $(CURDIR)/debian/vip-manager/lib/systemd/system/vip-manager.service
	install -m 664 debian/vip-manager@.service $(CURDIR)/debian/vip-manager/lib/systemd/system/vip-manager@.service
	install -d $(CURDIR)/debian/vip-manager/etc/default
	install -m 664 package/config/vip-manager.default $(CURDIR)/debian/vip-manager/etc/default/vip-manager
	install -d $(CURDIR)/debian/vip-manager/etc/patroni
	install -m 664 debian/vip.in $(CURDIR)/debian/vip-manager/etc/patroni/vip.in

## vip-manager 1.0.1

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,20 @@
 NAME=vip-manager
-VERSION=0.6-1
+VERSION=1.0.1-1
+# when specifying a beta version or something, make sure to stay compatible with .deb conventions, e.g. "1.0~beta3-1"
 ARCH=amd64
 LICENSE="BSD 2-Clause License"
-MAINTAINER="Ants Aasma <ants@cybertec.at>"
+MAINTAINER="Julian Markwort <julian.markwort@cybertec.at>"
 DESCRIPTION="Manages a virtual IP based on state kept in etcd/consul."
 HOMEPAGE="http://www.cybertec.at/"
 GIT="git://github.com/cybertec-postgresql/vip-manager.git"
 GITBROWSER="https://github.com/cybertec-postgresql/vip-manager"
 
+GOENV=CGO_ENABLED=0
 
 all: vip-manager
 
 vip-manager: *.go */*.go
-	go build -ldflags="-s -w" .
+	$(GOENV) go build -ldflags="-s -w" .
 
 install:
 	install -d $(DESTDIR)/usr/bin

=== debian/changelog ===
vip-manager (1.0.1-5) unstable; urgency=medium

  * debian/patches/select_valid_net_device.patch: New patch, makes the
    behaviour test try harder to select a valid network device, taken from
    upstream commit cd9ab29 (Closes: #993620).
  * debian/copyright: Removed no longer present vendor/ sections.

 -- Michael Banck <michael.banck@credativ.de>  Sun, 23 Jan 2022 11:35:21 +0100

vip-manager (1.0.1-4) unstable; urgency=medium

  * debian/patches/service_file.patch: Fix command-line arguments to use two
    dashes for long options, instead of one and update options to their 1.0
    names. (Closes: #990119).

 -- Michael Banck <michael.banck@credativ.de>  Sun, 18 Jul 2021 18:52:20 +0200

vip-manager (1.0.1-3) unstable; urgency=medium

  * debian/tests/test: New wrapper script around the upstream test script in
    order to set ETCD_UNSUPPORTED_ARCH on older distributions.
  * debian/tests/control: Switch to wrapper script.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 15 Apr 2021 18:56:03 +0200

vip-manager (1.0.1-2) unstable; urgency=medium

  * debian/patches/behaviour_test.patch: New patch, fixes behaviour_test.sh up
    so that it can be run as autopkgtest.
  * debian/tests/control: New file, added autopktests.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 14 Apr 2021 19:17:00 +0200

vip-manager (1.0.1-1) unstable; urgency=medium

  * New upstream release. New features include:
   + Add TLS support for etcd connections
   + Enable TLS configuration from cli flags and from yaml file
   + Improved gratuitous arp request and reply sending
   + Unified config handling - flags, YAML file, environment variables
   + Add verbose logging to Hetzner manager code

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Add missing ${misc:Built-Using} to Built-Using on vip-manager.
  * Update standards version to 4.5.0, no changes needed.

  [ Michael Banck ]
  * debian/copyright (Files-Excluded): Removed, no longer needed.
  * debian/control (Build-Depends): Added golang-github-mdlayher-arp-dev.
  * debian/patches/disable_windows_build.patch: New patch, skips
    Windows-specific code.
  * debian/rules (DH_GOLANG_EXCLUDES): New variable, skips the Windows-specific
    iphlpapi directory.
  * debian/patches/service_file.patch: Updated.
  * debian/vip.in: Updated.
  * debian/vip-manager@.service: Remove command-line arguments from ExecStart
    directive.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 13 Jan 2021 20:37:40 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 export LC_ALL=C.UTF-8
 export LANG=C.UTF-8
+
+export DH_GOLANG_EXCLUDES := iphlpapi
 
 %:
 	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/vip-manager-$1\.tar\.gz/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,repacksuffix=+ds \
  https://github.com/cybertec-postgresql/vip-manager/tags .*/v?(\d\S+)\.tar\.gz

## vip-manager 1.0.2

=== Makefile ===
GOENV=CGO_ENABLED=0

all: vip-manager

vip-manager: *.go */*.go
	$(GOENV) go build -ldflags="-s -w" .

install:
	install -d $(DESTDIR)/usr/bin
	install vip-manager $(DESTDIR)/usr/bin/vip-manager
	install -d $(DESTDIR)/lib/systemd/system
	install package/scripts/init-systemd.service $(DESTDIR)/lib/systemd/system/vip-manager.service
	install -d $(DESTDIR)/etc/init.d/
	install package/scripts/init-systemv.sh $(DESTDIR)/etc/init.d/vip-manager
	install -d $(DESTDIR)/etc/default
	install vipconfig/vip-manager.yml $(DESTDIR)/etc/default/vip-manager.yml

DESTDIR=tmp

.PHONY: package package/changelog.yml

package: package-deb package-rpm

package-deb: vip-manager package/changelog.yml
	nfpm package --config package/nfpm.yml --packager deb

package-rpm: vip-manager package/changelog.yml
	nfpm package --config package/nfpm.yml --packager rpm

package/changelog.yml:
	chglog init --config-file package/chglog.yml --deb-distribution unstable --deb-urgency low --output $@

clean:
	rm -f vip-manager
	rm -f vip-manager*.deb
	rm -f vip-manager*.rpm
	rm -fr $(DESTDIR)
	rm -f package/changelog.yml

=== debian/changelog ===
vip-manager (1.0.2-10) unstable; urgency=medium

  * debian/tests: Ignore errors when stopping the system etcd.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Aug 2025 15:11:11 +0000

vip-manager (1.0.2-9) unstable; urgency=medium

  * Update import paths for etcd v3.5 (Closes: #1078322)

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Fri, 23 Aug 2024 11:42:14 +0200

vip-manager (1.0.2-8) unstable; urgency=medium

  * Install systemd units using dh_installsystemd only. Thanks to Helmut
    Grohne for the patch! (Closes: #1054479)
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Oct 2023 12:16:59 +0000

vip-manager (1.0.2-7) unstable; urgency=medium

  * debian/watch: Look for version 1 only.
  * debian/tests: Set ETCD_UNSUPPORTED_ARCH on s390x. (Required on
    buster/focal.)

 -- Christoph Berg <myon@debian.org>  Wed, 18 Oct 2023 17:25:20 +0200

vip-manager (1.0.2-6) unstable; urgency=medium

  * debian/control (Uploaders): Updated.

 -- Michael Banck <mbanck@debian.org>  Fri, 17 Feb 2023 14:03:27 +0100

vip-manager (1.0.2-5) unstable; urgency=medium

  [ Michael Banck ]
  * debian/patches/get_dev: Make sure the interface is up. 

  [ Shengjing Zhu ]
  * debian/tests/test: Ensure no etcd server is running before acceptance
    tests (Closes: #1027708).

 -- Michael Banck <michael.banck@credativ.de>  Sun, 08 Jan 2023 20:14:49 +0100

vip-manager (1.0.2-4) unstable; urgency=medium

  * debian/patches/netip-port.patch: New patch, uses netip.Addr instead of
    net.IP, inline with the ARP module (Closes: #1026294).

 -- Michael Banck <michael.banck@credativ.de>  Wed, 04 Jan 2023 22:33:30 +0100

vip-manager (1.0.2-3) unstable; urgency=medium

  * Disable consul support, it's not in bookworm currently.
    (See #1017982)

 -- Christoph Berg <myon@debian.org>  Tue, 22 Nov 2022 15:05:53 +0100

vip-manager (1.0.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Christoph Berg ]
  * Fix interface detection in namespaced environments.

 -- Christoph Berg <myon@debian.org>  Thu, 25 Aug 2022 16:25:43 +0200

vip-manager (1.0.2-1) unstable; urgency=medium

  * New upstream point release.

  [ Michael Banck ]
  * debian/patches/behaviour_test.patch: Updated.
  * debian/patches/select_valid_net_device.patch: Removed, no longer needed.

  [ Christoph Berg ]
  * vip.in: Remove unused VIP_INTERFACE variable.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 17 May 2022 22:24:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,26 @@
 Section: net
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Michael Banck <michael.banck@credativ.de>
+Uploaders:
+ Michael Banck <mbanck@debian.org>,
+ Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-golang,
  golang-any,
  golang-etcd-server-dev,
  golang-github-coreos-go-semver-dev,
- golang-github-hashicorp-consul-dev,
+# golang-github-hashicorp-consul-dev,
  golang-github-json-iterator-go-dev,
+ golang-github-mdlayher-arp-dev,
  golang-github-mitchellh-go-homedir-dev,
  golang-github-modern-go-concurrent-dev,
  golang-github-modern-go-reflect2-dev,
  golang-golang-x-net-dev,
  golang-golang-x-sys-dev,
  golang-gopkg-yaml.v2-dev
-Standards-Version: 4.3.0
-X-Python3-Version: >= 3.5
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Homepage: https://github.com/cybertec-postgresql/vip-manager
 Vcs-Browser: https://salsa.debian.org/postgresql/vip-manager
 Vcs-Git: https://salsa.debian.org/postgresql/vip-manager.git
@@ -28,6 +31,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Enhances: patroni
+Built-Using: ${misc:Built-Using}
 Description: Patroni virtual IP manager
  This package needs to be installed and configured on all nodes of a Patroni
  PostgreSQL cluster. Given a Patroni namespace and scope in etcd or consul,

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

export DH_GOLANG_EXCLUDES := iphlpapi

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_install:
	dh_install
	install -d $(CURDIR)/debian/vip-manager/etc/default
	install -m 664 package/config/vip-manager.default $(CURDIR)/debian/vip-manager/etc/default/vip-manager
	install -d $(CURDIR)/debian/vip-manager/etc/patroni
	install -m 664 debian/vip.in $(CURDIR)/debian/vip-manager/etc/patroni/vip.in

=== debian/tests/control ===
Depends:
 @,
 curl,
 etcd-server,
 iproute2,
 jq,
 ncat
Tests: test
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/vip-manager-$1\.tar\.gz/,uversionmangle=s/-beta/~beta/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,repacksuffix=+ds \
  https://github.com/cybertec-postgresql/vip-manager/tags .*/v?(1\S+)\.tar\.gz
